Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket
Class TimerWeakHashSet

    java.lang.Object
      rice.pastry.socket.TimerWeakHashSet

All Implemented Interfaces:
  WeakHashSet

    public class TimerWeakHashSet

extends java.lang.Object
implements WeakHashSet

Nested Class Summary
`static class` | `TimerWeakHashSet.HardLinkTimerTask`

Constructor Summary
`TimerWeakHashSet(int timeout, SocketPastryNode spn)` Minimum time to hold the item.

Method Summary
`SocketNodeHandle` | `coalesce(SocketNodeHandle snh)` Throws exception if there is already one available.
`SocketNodeHandle` | `get(EpochInetSocketAddress eisa)`
`java.util.HashMap` | `getBest()`
`void` | `refresh(java.lang.Object key)`
`void` | `refresh(java.lang.Object key, int delay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerWeakHashSet

    public TimerWeakHashSet(int timeout,
                            SocketPastryNode spn)

  Minimum time to hold the item.

  Parameters:
    `timeout` -

Method Detail

### coalesce

    public SocketNodeHandle coalesce(SocketNodeHandle snh)

  Description copied from interface: `WeakHashSet`
  Throws exception if there is already one available.

  Specified by:
    `coalesce` in interface `WeakHashSet`

### refresh

    public void refresh(java.lang.Object key)

### refresh

    public void refresh(java.lang.Object key,
                        int delay)

### get

    public SocketNodeHandle get(EpochInetSocketAddress eisa)

  Specified by:
    `get` in interface `WeakHashSet`

### getBest

    public java.util.HashMap getBest()

  Returns:
    the best source route for each known EpochInetSocketAddress, keyed by the EISA

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.